%define short_name PFS
Name: photofilmstrip
Version: 4.0.0
Release: 2%{?dist}
Summary: Creates movies out of your pictures
License: GPLv2
URL: http://www.%{name}.org
Source: https://github.com/PhotoFilmStrip/PFS/archive/refs/tags/v%{version}.tar.gz
BuildRoot: %{_tmppath}/%{pname}-%{version}-%{release}-buildroot
Requires: python3-pillow
Requires: python3-wxpython4
Requires: gst-editing-services
BuildRequires: python3 >= 3.4 gettext
BuildRequires: python3-devel
BuildRequires: python3-tox-current-env
BuildRequires: python3-wheel
BuildArch: noarch


%description
PhotoFilmStrip creates movies out of your pictures in just 3 steps. First
select your photos, customize the motion path and render the video. There
are several output possibilities for VCD, SVCD, DVD up to FULL-HD.


%prep
%setup -q -n %{short_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
#%{python3} setup.py build
%pyproject_wheel


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
#%{python3} setup.py install --root=%{buildroot}
%pyproject_install


%files
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{python3_sitelib}/*.dist-info
%{python3_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/locale/*/LC_MESSAGES/PhotoFilmStrip.mo
%{_datadir}/%{name}/audio/*.mp3

%changelog
* Tue Jan 03 2023 Armando Basile <armando@integrazioneweb.com> 4.0.0-2
- fix: add gst-editing-services as dependency

* Tue Jan 03 2023 Armando Basile <armando@integrazioneweb.com> 4.0.0-1
- first build of 4.0.0
 
